#
# spec file for package LCDproc (Version 0.5.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           LCDproc
%define tarname  lcdproc
%if 0%?mandriva_version
BuildRequires:  libusb libxorg-x11-devel lirc lirc-devel ncurses-devel xosd-devel
%endif
%if 0%?fedora_version
BuildRequires:  libusb lirc lirc-devel ncurses-devel xorg-x11-devel xosd-devel
%endif
%if 0%?suse_version
BuildRequires:  libusb lirc ncurses-devel xorg-x11-devel xorg-x11-libXext-devel xorg-x11-libXt-devel xosd-devel serdisplib-devel autoconf automake
%if 0%?suse_version > 1110
BuildRequires:  lirc-devel
%endif
%endif
BuildRequires:	autoconf automake libtool
Summary:        Daemon capable of showing info on LCD displays
Group:          Hardware/Other
Version:        0.5.7
Release:        10.2
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://lcdproc.omnipotent.net
Source:         %{tarname}-%{version}.tar.bz2
Source1:        LCDd.service
Source2:        LCDd
Patch1:         lcdproc-fix-return.diff
Patch2:         lcdproc-add-serdisplib
Requires:       ncurses

%description
LCDproc is a piece of software that displays real-time system
information from your Linux/*BSD box on a LCD.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>

%prep
%setup -n lcdproc-%{version}
%patch1 -p1
## Does not apply any more; use glcd-serdisp instead?
# %patch2 -p1
sed -e "s#\(DriverPath\)=.*#\1=%{_libdir}/lcdproc/#" LCDd.conf > LCDd.conf.tmp
mv LCDd.conf.tmp LCDd.conf

%build
autoreconf
%configure --enable-libusb --enable-stat-nfs --enable-lcdproc-menus --enable-stat-smbfs --enable-drivers=all
make %{?jobs:-j%jobs}

%install
%makeinstall
# init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/systemd/system
install -c -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/systemd/system/.
install -c -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d

%if %{?suse_version} < 1315
%post
%{fillup_and_insserv -n LCDd LCDd}

%preun
echo "Stopping LCDd ..."
%stop_on_removal LCDd
true   # ignore errors

%postun
%restart_on_update LCDd
%insserv_cleanup

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man?/*.*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/lcdproc
%exclude %{_libdir}/lcdproc/lirc.so
%exclude %{_libdir}/lcdproc/xosd.so
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%config %{_sysconfdir}/systemd/system/*
%config %{_sysconfdir}/init.d/*
%config %{_sysconfdir}/*.conf

%package lirc
Summary:        Infrared driver for LCDproc
Group:          Hardware/Other
Requires:       %{name} = %{version} lirc

%description lirc
This driver allows LCDproc to display on devices connected by infrared
port.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>





%files lirc
%defattr(-, root, root)
%{_libdir}/lcdproc/lirc.so
%package xosd
Summary:        XOsd driver for LCDproc
Group:          Hardware/Other
Requires:       %{name} = %{version} xosd xorg-x11-libXt xorg-x11-libXext xorg-x11 appres bdftopcf beforelight bitmap editres fonttosfnt fslsfonts fstobdf iceauth ico lbxproxy listres luit mkcomposecache oclock proxymngr rendercheck rstart showfont smproxy viewres x11perf xbacklight xbiff xcalc xclipboard xclock xcmsdb xcompmgr xcursor-themes xcursorgen xdbedizzy xditview xdpyinfo xedit xev xeyes xf86dga xfd xfindproxy xfontsel xfs xfsinfo xfwp xgamma xgc xhost xinput xkbcomp xkbevd xkbprint xkbutils xkill xload xlogo xlsatoms xlsclients xlsfonts xmag xman xmessage xmore xorg-scripts xplsprinters xpr xprehashprinterlist xprop xrandr xrefresh xrestop xrx xscope xset xsetmode xsetpointer xsm xstdcmap xtrap xvidtune xvinfo xwd xwininfo xwud

%description xosd
Driver for LCDproc allowing it to use X On-Screen Display as its output
device.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>





%files xosd
%defattr(-, root, root)
%{_libdir}/lcdproc/xosd.so

%changelog
* Fri Mar  3 2017 duwe@suse.com
- update to v0.5.7
  * Fix using the left key to change the ring and checkbox menu items
  * sed1520: Add an option for inverted segment mapping (idea by R. Buchert)
  * Fix build if compiled with --enable-permissive-menu-goto (#3599609)
  * glcd driver: Add direct support for framebuffer with paged memory layout
  + hd44780: Added 'raspberrypi' connection type (P. Corner)
  * Build system: Rename configure.in to configure.ac
  + hd44780: Add support for FreeBSD's iic I2C framework
  + hd44780: New connection type 'piplate' (J. Brogdon)
  * lcdproc client: Add option to turn off title on OldTime screen
  + glcd driver: Connection type 'x11' that draws to a X window (S. Meharg)
  + glcd driver: 'picolcdgfx' for picoLCD 256x64 from Mini-Box.com (S. Meharg)
  * picolcd: Improvements to IR processing (M. Jones)
  + hd44780: Added 'spi' connection type (S. Dawson)
  * hd55780/serial: Change data escape handling (G. Smith)
  + hd44780: New connection type 'pifacecad' (T. Preston)
  + new driver: rawserial - dump framebuffer to serial port (C. Wolf)
- add LCDd.service
* Mon Apr 22 2013 duwe@suse.com
- Update to 0.5.6,
  version update lost serdisplib for now
- Add auto* build dependencies, makes it build again.
* Sat Mar  5 2011 bernhard@bwalle.de
- Update to v0.5.4
- Fix build on openSUSE 11.4.
* Wed Dec  1 2010 bernhard@bwalle.de
- Add syslog-ng as BuildRequires to fix build error.
* Tue Dec 29 2009 bernhard@bwalle.de
- Update to v0.5.3.
- Remove snprintf-GPL.diff: Upstream.
- Update lcdproc-add-serdisplib for 0.5.3.
- Add lcdproc-fix-return.diff to fix rpmlint build errors.
* Thu Dec 10 2009 bernhard@bwalle.de
- Add 'lirc-devel' as BuildRequires to fix build on openSUSE 11.2
  and later.
* Sat Oct 25 2008 bwalle@suse.de
- Don't include /etc/init.d to file list since it's already in
  filesystem RPM.
- Add "$remote_fs" dependency in init script since LCDd needs files
  in /usr.
* Sat Aug  2 2008 bwalle@suse.de
- remove graphlcd dependency
- remove libftdi dependency
* Mon Aug 13 2007 bwalle@suse.de
- fixed build on Factory (autoreconf needed due to patch for
  serdisplib)
* Sat Jun 30 2007 bwalle@suse.de
- add serdisplib driver (not mainline yet)
* Fri Apr 27 2007 bwalle@suse.de
- updated to v0.5.2
  o updated & extended documentation
  o various fixes to the server core
  o init-script templates for LSB 3.x conforming systems
  o new drivers: serialPOS, ea65, picolcd, hd44780/pertelian,
    hd44780/lcd2usb, hd44780/vdr-wakeup, sed1330/SP14Q002
  o updated drivers: iMon, ula200, g15, MtxOrb, CFontz, CwLnx,
    serialVFD, hd44780
  o updated clients:
  * lcdproc: ged rid of more global variables, fix Disk screen,
    Credit contributors in About screen, support Iface and
    ProcSize screens for OS X / Darwin, allow switching on/off
    Load screen using menu
  * lcdexec: try harder to find a shell
  o updated build environment:
  * allow compiling with LDFLAG "--as-needed"
  * remove compile-time option to read configuration from LDAP
* Mon Apr  2 2007 bwalle@suse.de
- removed lirc-kernel dependency
* Sun Apr  1 2007 bwalle@suse.de
- added init script
* Tue Mar 27 2007 bwalle@suse.de
- added graphlcd-devel and libftdi to BuildRequires
* Wed Mar 14 2007 jw@suse.de
- updated snprintf.c
  2.2 was GPL incompatible, 2.3 now is dual licensed with GPL.
* Tue Mar 13 2007 ro@suse.de
- fix filelist (do not try to package debuginfo in main package)
* Wed Feb 28 2007 mvaner@suse.cz
- Creating the first version of package (version 0.5.1)
